> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Retrieve Rotating Ordinal Subscription Context

GET https://restapi.ordergroove.com/subscriptions/{subscription_id}/rotation_ordinal/{product_id}

Returns the Ordinal Subscription Context for the given subscription and product. This `ordinal` represents the number of recurring orders for the given product and subscription combination - see https://docs.ordergroove.com/advanced/ordinal-rotating#example for an example.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/subscriptions/retrieve-ordinal-subscription-context

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Path parameters

- `subscription_id` (string, required) — Subscription Public ID
- `product_id` (string, required) — Product ID

## Response

### 200

200

- `Subscriptions_retrieve-ordinal-subscription-context_Response_200`

## Types

### Active Subscription

- `ordinal` (integer, optional, default: 0)
- `rotating_product` (string, optional)
- `subscription` (string, optional)
- `active` (boolean, optional, default: true)

### Inactive Subscription + Rotating Product

- `ordinal` (integer, optional, default: 0)
- `rotating_product` (string, optional)
- `subscription` (string, optional)
- `active` (boolean, optional, default: true)

## Examples

### Active Subscription

**Response**

```json
{
  "ordinal": 3,
  "rotating_product": "active_rotating_product",
  "subscription": "g65765d4932511ef8dcce65j0382kc89",
  "active": true
}
```

**SDK Code**

```python Active Subscription
import requests

url = "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Active Subscription
const url = 'https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Active Subscription
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Active Subscription
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Active Subscription
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Active Subscription
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Active Subscription
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Active Subscription
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Inactive Subscription + Rotating Product

**Response**

```json
{
  "ordinal": 5,
  "rotating_product": "inactivie-product",
  "subscription": "g65765d4932511ef8dcce65j0382kc89",
  "active": false
}
```

**SDK Code**

```python Inactive Subscription + Rotating Product
import requests

url = "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Inactive Subscription + Rotating Product
const url = 'https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Inactive Subscription + Rotating Product
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Inactive Subscription + Rotating Product
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Inactive Subscription + Rotating Product
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Inactive Subscription + Rotating Product
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Inactive Subscription + Rotating Product
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Inactive Subscription + Rotating Product
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/product_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```